#
# spec file for package tei-xsl-stylesheets (Version 5.0.9)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         tei-xsl-stylesheets
Summary:      XSL stylesheets for TEI XML
Version:      5.0.9
Release:      0.1
%define my_pac_ver 3.1
License:      BSD
Group:        Productivity/Publishing/SGML
# Source0: http://users.ox.ac.uk/~rahtz/tei/teixsl-html.zip
# Source1: http://www.hcu.ox.ac.uk/TEI/Stylesheets/teixsl-fo.zip
# Source0:      http://www.tei-c.org/Stylesheets/teixsl-fo.zip
# Source1:      http://www.tei-c.org/Stylesheets/teixsl-html.zip
Source0:      http://ftp1.sourceforge.net/sourceforge/tei/tei-xsl-%{version}.zip
# Source2: teiu5.xml
# Source3: teiu5-print.xsl
# Source4: tei_xsl2x.sh
URL:          http://www.tei-c.org/Stylesheets/
#Patch:      
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Stylesheets to transform TEI XML documents to HTML, and to XSL
Formatting Objects.

Use it with libxslt or Saxon.



Authors:
--------
    Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir %{_datadir}/sgml
%define xml_dir %{_datadir}/xml
%define xml_mod_dir %{xml_dir}/tei
%define xml_mod_style_dir %{xml_mod_dir}/stylesheet
%define xml_mod_style_prod_dir %{xml_mod_style_dir}/rahtz
%define xml_mod_style_prod_ver_dir %{xml_mod_style_prod_dir}/%{version}
%debug_package
%prep
%setup -q -c -T
unzip -q -a %{SOURCE0}
/bin/chmod -Rf a+rX,g-w,o-w .

%build

%install
%{INSTALL_DIR} $RPM_BUILD_ROOT%{xml_mod_style_prod_ver_dir}
cp -a tei-xsl-%{version}/* $RPM_BUILD_ROOT%{xml_mod_style_prod_ver_dir}
rm -fr $RPM_BUILD_ROOT%{xml_mod_style_prod_ver_dir}/doc
pushd $RPM_BUILD_ROOT%{xml_mod_style_prod_ver_dir}
  mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
  ln -sf /usr/share/doc/packages/%{name} doc
popd
pushd $RPM_BUILD_ROOT%{xml_mod_style_prod_dir}
  ln -sf %{version} current
popd

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc tei-xsl-%{version}/doc/*
%dir %{xml_dir}
%dir %{xml_mod_dir}
%dir %{xml_mod_style_dir}
%dir %{xml_mod_style_prod_dir}
%{xml_mod_style_prod_dir}/current
%{xml_mod_style_prod_ver_dir}

%changelog -n tei-xsl-stylesheets
* Fri Jun 24 2005 - ke@suse.de
- Update to version 5.0.9.
- Stop providing compatibility links for SL 9.x and earlier.
* Thu Feb 12 2004 - ke@suse.de
- Update to Version 3.1 (downloaded 2003-02-12); finally move
  stylesheets to /usr/share/xml/tei/stylesheet/rahtz/P4/3.1.
* Tue Feb 10 2004 - ke@suse.de
- Adjust directories according to FHS 2.3:
  * Move stylesheets to /usr/share/xml/tei/stylesheet/rahtz.
  * Provide compatibility links for SL =< 9.0 (log this info in
  /var/adm/SuSEconfig/run-sgmldir-links for later processing).
* Thu Oct 09 2003 - ke@suse.de
- Update to version 2.1 (downloaded 2003-10-08).
* Tue Jun 17 2003 - ke@suse.de
- Update to version 1.6 (downloaded 2003-06-17 11:30).
- Add missing directories to the %%files list.
* Wed Jun 26 2002 - ke@suse.de
- Update to version 2002-06-25.
* Thu May 23 2002 - ke@suse.de
- Update to version 2002-05-18: works best with recent versions of
  libxslt and Saxon.
* Mon Nov 26 2001 - ke@suse.de
- New package: version 2001-11-20.
